
#include "pass_colloid_common.finc"

///////////////////////////////////////////////////////////
// uniforms

uniform sampler2D u_texture;

///////////////////////////////////////////////////////////
// varyings

varying vec2 v_projCoord;
varying vec2 v_texCoord;
varying vec4 v_color;

///////////////////////////////////////////////////////////
// pass

void main()
{
	// copy -> multi -> copy -> screen
	vec4 color = texture( u_texture, v_texCoord );
	vec4 color2 = color * color;
	vec4 resolved = 2.0 *color2 - color2 *color2; 
	vec4 outColor = vec4( resolved.xyz, 1.0 );
	gl_FragColor = outColor;
}

